// pages/contest/stars/stars.js
import {
  answer
} from '../../../api/api.js'
Page({

  /**
   * 页面的初始数据
   */
  data: {
    statusBar: 0,
    starsNum: 5
  },

  clickStars(e) {
    // console.log(e)
    this.setData({
      starsNum: e.currentTarget.dataset.index+1
    })
  },

  submit () {
    let {starsNum,id} = this.data
    answer.submitReviews({reqdata:{
      assessScore: starsNum*2,
      userAnswerId: id
    }},r => {
      wx.reLaunch({
        url: '/pages/home/home',
        success: () => {
          setTimeout(()=>{
            wx.showToast({
              title: '评分成功！',
              icon: 'none'
            })
          },300)
        }
      })
    })
  },

  goHome (e) {
    wx.reLaunch({
      url: '/pages/home/home',
    })
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    let {id} = options
    this.setData({
      id
    })
    wx.getSystemInfo({
      success: e => {
        this.setData({
          statusBar: e.statusBarHeight + 13
        })
      }
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})